@use "sass:math";

$grid-columns: 12;
$grid-gaps: (
  "0": 0,
  "1": .1rem,
  "2": .2rem,
  "3": .3rem
);
$layout-values: flex-start, flex-end, center, space-between, space-around;

// base layout classes
.container {
  width: 100%;
  margin: 0 auto;
  position: relative;
  padding: 0 1rem 7rem 1rem;

  @include xs {
    padding: 0 4rem 7rem 4rem;
  }

  @include lg {
    max-width: 1360px;
  }
}

.carousel__container {
  position: relative;
  width: 100%;
  margin: 0 auto;
  padding: 9.5rem 0;
  background-color: $light_grey;

  &__svg {
    position: absolute;
    display: none;
    align-items: center;
    justify-content: center;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    transform: translate(-50%, -50%);
  
    @include md {
      display: flex;
      max-width: 100rem;
    }
  
    @include xl {
      max-width: 110rem;
    }

    svg {
      width: 100%;
    }
  }
}

.carousel__wrapper {
  max-width: 90%;
  margin: 0 auto;
  padding: 0 1rem 7rem 1rem;
  position: relative;

  @include xs {
    padding: 0 4rem;
  }

  @include md {
    max-width: 90rem;
  }

  @include xl {
    max-width: 120rem;
  }
}

.carousel {
  &__cta {
    position: absolute;
    bottom: 3rem;
    left: 50%;
    width: 100%;
    transform: translateX(-50%);
		text-align: center;
	}
}

.row {
  display: flex;
  flex-flow: row wrap;
  width: 100%;
  
  > * {
    width: 100%;
  }
}

// grid gaps
@each $key, $val in $grid-gaps {
   .gap-#{$key} > * {
      padding: $val;
   }

   .gap-#{$key} {
      margin-left: -$val;
      margin-right: -$val;
   }
}

// justify content classes
@each $val in $layout-values {
  .justify-#{$val} {
    justify-content: $val;
  }
}

// col classes
@include xs {
  @for $i from 1 through $grid-columns {
    .col-#{$i}-xs {
      box-sizing: border-box;
      flex-grow: 0;
      width: math.div($i * 100%, $grid-columns);
    }
  }
}

@include sm {
  @for $i from 1 through $grid-columns {
    .col-#{$i}-sm {
      box-sizing: border-box;
      flex-grow: 0;
      width: math.div($i * 100%, $grid-columns);
    }
  }
}

@include md {
  @for $i from 1 through $grid-columns {
    .col-#{$i}-md {
      box-sizing: border-box;
      flex-grow: 0;
      width: math.div($i * 100%, $grid-columns);
    }
  }
}

@include lg {
  @for $i from 1 through $grid-columns {
    .col-#{$i}-lg {
      box-sizing: border-box;
      flex-grow: 0;
      width: math.div($i * 100%, $grid-columns);
    }
  }
}

@include xl {
  @for $i from 1 through $grid-columns {
    .col-#{$i}-xl {
      box-sizing: border-box;
      flex-grow: 0;
      width: math.div($i * 100%, $grid-columns);
    }
  }
}